[Qa-jenkins-scm] [jenkins.debian.net] 01/02: diffoscope_distribution_test.sh: Prefer experimental over unstable/sid when calculating "diffoscope in Debian" version.

Holger Levsen holger at layer-acht.org
Sat Mar 18 19:17:38 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 39dcb13824e170fde82426421a259d9eb7752faa
Author: Chris Lamb <lamby at debian.org>
Date:   Sat Mar 18 19:12:28 2017 +0000

    diffoscope_distribution_test.sh: Prefer experimental over unstable/sid when calculating "diffoscope in Debian" version.
    
    Signed-off-by: Chris Lamb <lamby at debian.org>
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/diffoscope_distribution_test.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/bin/diffoscope_distribution_test.sh b/bin/diffoscope_distribution_test.sh
index a5808be..6a27a08 100755
--- a/bin/diffoscope_distribution_test.sh
+++ b/bin/diffoscope_distribution_test.sh
@@ -67,7 +67,14 @@ check_whohas() {
 #
 # main
 #
-DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| awk '{print $3}' || true)
+for SUITE in 'experimental' 'unstable|sid'
+do
+	DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep "${SUITE}"| awk '{print $3}' || true)
+
+	if [ "$DIFFOSCOPE_IN_DEBIAN" != "" ] ; then
+		break
+	fi
+done
 
 case $1 in
 	PyPI)	check_pypi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list